---
name: Bug report
about: Report a problem that you're having with Alda
title: ''
labels: bug
assignees: ''

---

<!--- Please provide a general summary of the issue in the Title above -->

# 🐞 Bug report 🐞

## Description
<!--- Tell us more about what's going on -->



## Steps to Reproduce
<!--- Please list the steps that you took that caused the problem to occur. -->
1.
2.
3.
4.

<!--- Does the problem happen consistently? -->

<!--- Is there an example score that demonstrates the problem? -->

<!--- Is there anything else that it would be useful for us to know? -->


## Expected Behavior
<!--- Tell us what you think should happen when you follow the steps above -->



## Actual Behavior
<!--- Tell us what happens instead -->



## Environment
<!--- Please provide the following information so that we can better assist you -->

<!--- Are you running Windows, macOS, Linux? What distribution/version? -->
**Operating system and version:**



**Alda version:**
<!--- Run `alda version` in your terminal and copy-paste the output below -->
```
$ alda version

```

<!--- Run `alda-player info` in your terminal and copy-paste the output below -->
```
$ alda-player info

```


**Health check:**
<!--- Run `alda doctor` in your terminal and copy-paste the output below -->
```
$ alda doctor

```


**Logs:**
<!--- On macOS and Linux, you can find Alda's logs in either -->
<!---   ~/.cache/alda (Linux), or -->
<!---   ~/Library/Caches/alda (macOS), or -->
<!---   $XDG_CACHE_HOME (if you have that set) -->

<!--- On Windows, look in: -->
<!---   %LOCALAPPDATA%\alda\cache or -->
<!---   C:\Users\yourname\AppData\Local\alda\cache -->

<!--- Do you see any logs that might be relevant to the problem? -->
<!--- If so, copy-paste what you found below -->
```
```
